BasicScrollBarUI.TrackListener (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicScrollBarUI.TrackListener class
Date: 2026-04-22

javax.swing.plaf.basic

## Class BasicScrollBarUI.TrackListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicScrollBarUI.TrackListener

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener
  Enclosing class:
    BasicScrollBarUI

      protected class BasicScrollBarUI.TrackListener
      extends MouseAdapter
      implements MouseMotionListener

  Track mouse drags.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `currentMouseX`
    `protected int` | `currentMouseY`
    `protected int` | `offset`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrackListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseDragged(MouseEvent e)` Set the models value to the position of the thumb's top of Vertical scrollbar, or the left/right of Horizontal scrollbar in left-to-right/right-to-left scrollbar relative to the origin of the track.
    `void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits the scrollbar.
    `void` | `mouseMoved(MouseEvent e)` Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
    `void` | `mousePressed(MouseEvent e)` If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page.
    `void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseEntered, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offset

          protected transient int offset

    - #### currentMouseX

          protected transient int currentMouseX

    - #### currentMouseY

          protected transient int currentMouseY

  - ### Constructor Detail

    - #### TrackListener

          protected TrackListener()

  - ### Method Detail

    - #### mouseReleased

          public void mouseReleased(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `MouseAdapter`

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page. If there is no thumb then page up if the mouse is in the upper half of the track.
      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`

    - #### mouseDragged

          public void mouseDragged(MouseEvent e)

      Set the models value to the position of the thumb's top of Vertical scrollbar, or the left/right of Horizontal scrollbar in left-to-right/right-to-left scrollbar relative to the origin of the track.
      Specified by:
        `mouseDragged` in interface `MouseMotionListener`
      Overrides:
        `mouseDragged` in class `MouseAdapter`

    - #### mouseMoved

          public void mouseMoved(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
      Specified by:
        `mouseMoved` in interface `MouseMotionListener`
      Overrides:
        `mouseMoved` in class `MouseAdapter`

    - #### mouseExited

          public void mouseExited(MouseEvent e)

      Invoked when the mouse exits the scrollbar.
      Specified by:
        `mouseExited` in interface `MouseListener`
      Overrides:
        `mouseExited` in class `MouseAdapter`
      Parameters:
        `e` - MouseEvent further describing the event
      Since:
        1.5

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.